Package org.apache.sysds.runtime.transform.tokenize

# Class DocumentRepresentation

java.lang.Object
org.apache.sysds.runtime.transform.tokenize.DocumentRepresentation

public class DocumentRepresentation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`List<Object>`
`keys`
`List<Token>`
`tokens`

## Constructor Summary

Constructors
Constructor
Description
`DocumentRepresentation(List<Object> keys, List<Token> tokens)`

## Method Summary

Modifier and Type
Method
Description
`List<Token>`
`getTokens()`
`void`
`splitIntoNgrams(int minGram, int maxGram)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keys

public List<Object> keys

### tokens

public List<Token> tokens

## Constructor Details

### DocumentRepresentation

public DocumentRepresentation(List<Object> keys, List<Token> tokens)

## Method Details

### getTokens

public List<Token> getTokens()

### splitIntoNgrams

public void splitIntoNgrams(int minGram, int maxGram)